import  java.util.function.Function;
class LamWithField {
 Integer mul(Integer x, Integer y) {
  	return x;
   }
 Integer res = new Integer(5);
 Function<Integer,Integer>  m () {
   Function<Integer,Integer> lam1 = (Integer x) -> {
       return res*x;
   };
   return lam1;
  }
}

